> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Carriers

> Search for carriers based on specified criteria



## OpenAPI

````yaml /api-reference/openapi.json post /api/rest/carriers/search
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/carriers/search:
    post:
      tags:
        - Carriers
      summary: Search Carriers
      description: Search for carriers based on specified criteria
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - in: query
          name: limit
          schema:
            default: 10
            type: integer
        - in: query
          name: offset
          schema:
            default: 0
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              properties:
                limit:
                  default: 10
                  nullable: true
                  title: Int
                  type: integer
                offset:
                  default: 0
                  nullable: true
                  title: Int
                  type: integer
                orderBy:
                  default: {}
                  items:
                    type: object
                    description: CarriersOrderBy (simplified)
                  nullable: true
                  type: array
                where:
                  default: {}
                  description: >-
                    Boolean expression to filter rows from the table "carriers".
                    All fields are combined with a logical 'AND'.
                  nullable: true
                  properties:
                    _and:
                      items:
                        type: object
                        description: CarriersBoolExp (simplified)
                      nullable: true
                      type: array
                    _not:
                      type: object
                      description: CarriersBoolExp (simplified)
                    _or:
                      items:
                        type: object
                        description: CarriersBoolExp (simplified)
                      nullable: true
                      type: array
                    address:
                      type: object
                      description: AddressesBoolExp (simplified)
                    addressId:
                      type: object
                      description: StringComparisonExp (simplified)
                    addressesLastUpdatedAt:
                      type: object
                      description: TimestamptzComparisonExp (simplified)
                    aljexId:
                      type: object
                      description: StringComparisonExp (simplified)
                    billingAddressId:
                      type: object
                      description: StringComparisonExp (simplified)
                    bills:
                      type: object
                      description: BillsBoolExp (simplified)
                    billsAggregate:
                      type: object
                      description: BillsAggregateBoolExp (simplified)
                    cargoInsuranceExpireDate:
                      type: object
                      description: StringComparisonExp (simplified)
                    carrierIntegrationsMappings:
                      type: object
                      description: CarrierIntegrationsMappingBoolExp (simplified)
                    carrierIntegrationsMappingsAggregate:
                      type: object
                      description: CarrierIntegrationsMappingAggregateBoolExp (simplified)
                    carrierInvoices:
                      type: object
                      description: CarrierInvoicesBoolExp (simplified)
                    carrierInvoicesAggregate:
                      type: object
                      description: CarrierInvoicesAggregateBoolExp (simplified)
                    computedNameLowercase:
                      type: object
                      description: StringComparisonExp (simplified)
                    createdAt:
                      type: object
                      description: TimestamptzComparisonExp (simplified)
                    currency:
                      type: object
                      description: CurrencyCodeEnumComparisonExp (simplified)
                    dotNumber:
                      type: object
                      description: StringComparisonExp (simplified)
                    email:
                      type: object
                      description: StringComparisonExp (simplified)
                    freezePay:
                      type: object
                      description: BooleanComparisonExp (simplified)
                    generalLiabilityInsuranceExpireDate:
                      type: object
                      description: StringComparisonExp (simplified)
                    id:
                      type: object
                      description: StringComparisonExp (simplified)
                    isOwnerOperator:
                      type: object
                      description: BooleanComparisonExp (simplified)
                    isQuickpay:
                      type: object
                      description: BooleanComparisonExp (simplified)
                    liabilityInsuranceExpireDate:
                      type: object
                      description: StringComparisonExp (simplified)
                    mcNumber:
                      type: object
                      description: StringComparisonExp (simplified)
                    name:
                      type: object
                      description: StringComparisonExp (simplified)
                    payToAddress:
                      type: object
                      description: AddressesBoolExp (simplified)
                    phone:
                      type: object
                      description: StringComparisonExp (simplified)
                    scacNumber:
                      type: object
                      description: StringComparisonExp (simplified)
                    shipment:
                      type: object
                      description: ShipmentsBoolExp (simplified)
                    shipmentId:
                      type: object
                      description: StringComparisonExp (simplified)
                    sourceSystem:
                      type: object
                      description: StringComparisonExp (simplified)
                    sourceSystemId:
                      type: object
                      description: StringComparisonExp (simplified)
                    updatedAt:
                      type: object
                      description: TimestamptzComparisonExp (simplified)
                  title: CarriersBoolExp
                  type: object
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: false
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  carriers:
                    items:
                      description: columns and relationships of "carriers"
                      nullable: false
                      properties:
                        addressId:
                          nullable: true
                          title: String
                          type: string
                        billingAddressId:
                          nullable: true
                          title: String
                          type: string
                        cargoInsuranceExpireDate:
                          nullable: true
                          title: String
                          type: string
                        createdAt:
                          $ref: '#/components/schemas/timestamptz'
                        currency:
                          $ref: '#/components/schemas/CurrencyCodeEnum'
                        dotNumber:
                          nullable: true
                          title: String
                          type: string
                        email:
                          nullable: true
                          title: String
                          type: string
                        generalLiabilityInsuranceExpireDate:
                          nullable: true
                          title: String
                          type: string
                        id:
                          nullable: false
                          title: String
                          type: string
                        liabilityInsuranceExpireDate:
                          nullable: true
                          title: String
                          type: string
                        mcNumber:
                          nullable: true
                          title: String
                          type: string
                        name:
                          nullable: true
                          title: String
                          type: string
                        phone:
                          nullable: true
                          title: String
                          type: string
                        scacNumber:
                          nullable: true
                          title: String
                          type: string
                        shipmentId:
                          nullable: true
                          title: String
                          type: string
                        sourceSystem:
                          nullable: true
                          title: String
                          type: string
                        sourceSystemId:
                          nullable: true
                          title: String
                          type: string
                        updatedAt:
                          $ref: '#/components/schemas/timestamptz'
                      title: Carriers
                      type: object
                    nullable: false
                    type: array
          description: Responses for POST /api/rest/carriers/search
components:
  schemas:
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    CurrencyCodeEnum:
      enum:
        - AED
        - AUD
        - BRL
        - CAD
        - CHF
        - CNY
        - EGP
        - EUR
        - GBP
        - HKD
        - IDR
        - INR
        - JPY
        - KRW
        - MXN
        - MYR
        - NZD
        - QAR
        - SAR
        - SGD
        - THB
        - TRY
        - TWD
        - USD
        - VND
        - ZAR
      nullable: false
      title: CurrencyCodeEnum

````